# Terms of Service

**LNVPS**  
_Last Updated: February 26, 2025_

Welcome to LNVPS, a trading name of Apex Strata Ltd, a company registered in Ireland. These Terms of Service ("Terms") govern your use of our Virtual Private Server (VPS) hosting services, website, and related offerings (collectively, the "Services"). By accessing or using our Services, you agree to be bound by these Terms. If you do not agree, please do not use our Services.

---

## 1. Company Information

LNVPS is a trading name of Apex Strata Ltd, a company registered in Ireland.

- **Company Registration Number**: 702423
- **Registered Office**: Suite 10628, 26/27 Upper Pembroke Street, Dublin 2, D02 X361, Ireland
- **Email**: sales@lnvps.net

---

## 2. Definitions

- **"You" or "Customer"**: The individual or entity subscribing to or using the Services.
- **"We", "Us", or "LNVPS"**: Apex Strata Ltd, operating as LNVPS.
- **"Services"**: VPS hosting, support, and any additional features provided by LNVPS.

---

## 3. Eligibility

You must be at least 18 years old and capable of entering into a legally binding agreement to use our Services. By signing up, you confirm that all information provided is accurate and that you are authorized to act on behalf of any entity you represent.

---

## 4. Services

LNVPS provides VPS hosting services, including server resources, bandwidth, and technical support, as outlined on our website ([lnvps.net](https://lnvps.net) or applicable domain). Specific features, pricing, and resource limits are detailed in your chosen service plan at the time of purchase.

- **Service Availability**: We strive for 99.9% uptime but do not guarantee uninterrupted service. Downtime may occur due to maintenance, upgrades, or unforeseen events.
- **Modifications**: We reserve the right to modify or discontinue any aspect of the Services with reasonable notice.

---

## 5. Account Responsibilities

- **Account Security**: You are responsible for maintaining the confidentiality of your account credentials and for all activities under your account.
- **Usage**: You agree to use the Services only for lawful purposes and in compliance with these Terms.
- **Notification**: You must notify us immediately of any unauthorized use of your account.

---

## 6. Acceptable Use Policy

You agree not to use the Services to:

- Host, store, or distribute illegal content, including but not limited to pirated software, child exploitation material, or content inciting violence or hate.
- Engage in spamming, phishing, or other abusive activities.
- Overload or disrupt our servers, networks, or other customers’ services (e.g., DDoS attacks).
- Violate intellectual property rights or privacy laws.

We reserve the right to suspend or terminate your Services without notice if we detect violations, subject to applicable law.

---

## 7. Payment and Billing

- **Fees**: You agree to pay the fees for your chosen plan as outlined at checkout. All prices are in Euro (€) and include VAT where applicable.
- **Billing Cycle**: Payments are due in advance (monthly, quarterly, or annually, depending on your plan).
- **Late Payment**: Overdue accounts may be suspended until payment is received.
- **Refunds**: Refunds are available within 7 days of initial purchase, provided no excessive usage has occurred, as determined by us.

---

## 8. Termination

- **By You**: You may terminate your account at any time via your control panel or by contacting us, subject to the billing cycle terms.
- **By Us**: We may suspend or terminate your Services for non-payment, violation of these Terms, or if required by law, with or without notice depending on the severity of the breach.
- **Effect of Termination**: Upon termination, your access to the Services ends, and we may delete your data after 7 days unless otherwise required by law.

---

## 9. Data and Privacy

- **Your Data**: You retain ownership of data uploaded to your VPS. We do not access it except as needed to provide the Services or comply with legal obligations.
- **Backups**: You are responsible for maintaining backups of your data unless a backup service is included in your plan.
- **GDPR Compliance**: We process personal data in accordance with our [Privacy Policy](#), which complies with the General Data Protection Regulation (GDPR).

---

## 10. Limitation of Liability

To the fullest extent permitted by Irish law:

- Our liability for any claim arising from the Services is limited to the amount you paid us in the previous 12 months.
- We are not liable for indirect, consequential, or incidental damages (e.g., loss of profits, data, or business opportunities).
- We are not responsible for issues beyond our reasonable control, such as force majeure events (e.g., natural disasters, cyber-attacks).

---

## 11. Intellectual Property

- **Our IP**: The LNVPS website, branding, and software remain our property or that of our licensors.
- **Your IP**: You grant us a limited license to use your content solely to provide the Services.

---

## 12. Governing Law and Dispute Resolution

- These Terms are governed by the laws of Ireland.
- Any disputes will be subject to the exclusive jurisdiction of the courts of Ireland, though you may have additional rights under EU consumer law if applicable.

---

## 13. Changes to Terms

We may update these Terms from time to time. We will notify you of significant changes via email or on our website. Continued use of the Services after changes constitutes acceptance of the updated Terms.

---

## 14. Contact Us

For questions or support:

- **Email**: sales@lnvps.net
- **Address**: Suite 10628, 26/27 Upper Pembroke Street, Dublin 2, D02 X361, Ireland

---
